# Spielleitung
Date: 2012-12-22

## Class Spielleitung

- java.lang.Object
- - Spielleitung

    public class Spielleitung
    extends java.lang.Object

Spielleiter für das Würfelspiel Craps . Es werden die Mitspieler verwaltet, der aktuelle Spieler gespeichert, die Würfel erzeugt. Es können bis zu 6 Spieler am Spiel teilnehmen

Version:
  1.0 vom 20.06.2012
Author:
  Thomas Schaller

### Constructor Summary

Constructors
Constructor and Description
`Spielleitung()` Erzeugt den Spielleiter für Craps.

### Method Summary

Methods
`void` `addSpieler(Spieler s)` Meldet einen Spieler beim Spielleiter an.
`boolean` `auswerten()` Wertet den letzten Würfelwurf aus.
`Spieler` `getSpieler(int nr)` liefert eine Referenz auf einen Spieler.
`Wuerfel` `getWuerfel(int nr)` liefert eine Referenz auf einen Würfel
`boolean` `gewinnwurf()` Testet, ob die aktuelle Würfelkombination ein Gewinnwurf ist.
`void` `neuesSpiel()` Neuen Durchgang starten.
`boolean` `verlustwurf()` Testet, ob die aktuelle Würfelkombination ein Verlustwurf ist.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Spielleitung

    public Spielleitung()

Erzeugt den Spielleiter für Craps. Es werden auch die notwendigen zwei Würfel erzeugt.

### Method Detail

#### addSpieler

    public void addSpieler(Spieler s)

Meldet einen Spieler beim Spielleiter an. Der Spieler wird darüber informiert, wer der Spielleiter ist.

Parameters:
  `s` - Spieler, der angemeldet werden soll.

#### gewinnwurf

    public boolean gewinnwurf()

Testet, ob die aktuelle Würfelkombination ein Gewinnwurf ist.

Returns:
  true, wenn es sich um einen Gewinnwurf handelt, sonst false.

#### verlustwurf

    public boolean verlustwurf()

Testet, ob die aktuelle Würfelkombination ein Verlustwurf ist.

Returns:
  true, wenn es sich um einen Verlustwurf handelt, sonst false.

#### auswerten

    public boolean auswerten()

Wertet den letzten Würfelwurf aus. Falls es ein Gewinn- oder Verlustwurf ist, werden die Spieler über ihren Sieg / Verlust informiert.

Returns:
  true, wenn es sich um einen Gewinn- oder Verlustwurf handelt und ein neuer Durchgang beginnen muss, sonst false.

#### neuesSpiel

    public void neuesSpiel()

Neuen Durchgang starten. Der Point wird zurückgesetzt und der nächste Spieler wird Shooter, falls der Shooter den vorherigen Durchgang verloren hat.

#### getWuerfel

    public Wuerfel getWuerfel(int nr)

liefert eine Referenz auf einen Würfel

Parameters:
  `nr` - Nummer des gewünschten Würfels
Returns:
  Referenz auf den Würfel

#### getSpieler

    public Spieler getSpieler(int nr)

liefert eine Referenz auf einen Spieler.

Parameters:
  `nr` - Nummer des Spielers.
Returns:
  Referenz auf Spieler mit Nummer nr.